/* Sidebars */

.sidebar-placesTree {
  -moz-appearance: none;
  border: 0;
  margin: 0;
  border-top: 1px solid ThreeDShadow;
}

.sidebar-placesTreechildren::-moz-tree-cell(leaf) ,
.sidebar-placesTreechildren::-moz-tree-image(leaf) {
  cursor: pointer;
}

.sidebar-placesTreechildren::-moz-tree-cell-text(leaf, hover) {
  cursor: pointer;
  text-decoration: underline;
}

.sidebar-placesTreechildren::-moz-tree-cell(separator) {
  cursor: default;
}

/* Toolbar */
#placesToolbar {
  border-bottom: none;
}

/* back button */

#back-button {
  list-style-image: url("chrome://browser/skin/Toolbar.png");
  -moz-image-region: rect(0px, 24px, 24px, 0px);
}
#back-button[disabled="true"] {
 -moz-image-region: rect(48px, 24px, 72px, 0px) !important;
}

/* forward button */

#forward-button {
  list-style-image: url("chrome://browser/skin/Toolbar.png");
  -moz-image-region: rect(0px, 48px, 24px, 24px);
}
#forward-button[disabled="true"] {
 -moz-image-region: rect(48px, 48px, 72px, 24px) !important;
}

/* organize button */
#organizeButton {
  list-style-image: url("chrome://browser/skin/wrench.png");
}

/* view button */
#viewMenu {
  list-style-image: url("chrome://browser/skin/wrench.png");
}

/* maintenance button */
#maintenanceButton {
  list-style-image: url("chrome://browser/skin/wrench.png");
}

/* Root View */
#placesView {
  border-top: 1px solid ThreeDDarkShadow;
  -moz-user-focus: ignore;
}

#splitter {
  border: 0px;
  width: 3px;
  background-color: transparent;
}

/* Place List, Place Content */
.placesTree {
  margin: 0px;
}

#placesList {
  -moz-appearance: none;
  width: 160px;
  margin: 0px;
  border: 0px;
}

#contentView {
}

#placeContent {
  -moz-appearance: none;
  border: 0px;
}

treechildren::-moz-tree-image(title) {
  padding-right: 2px;
  margin: 0px 2px;
  width: 16px;
  height: 16px;
}

treechildren::-moz-tree-image(title, container),
treechildren::-moz-tree-image(title, open) {
  list-style-image: url("chrome://global/skin/tree/folder.png") !important;
  -moz-image-region: rect(0px, 16px, 16px, 0px);
}

treechildren::-moz-tree-image(title, separator) {
  list-style-image: none;
  width: 0px !important;
  height: 0px !important;
  margin: 0px 0px;
}

treechildren::-moz-tree-row(session-start) {
  border-top:1px dotted ThreeDShadow;
}

/* FIXME this should make the date field invisible, but only does it for
         unselected items and maybe won't work for different color schemes. */
treechildren::-moz-tree-cell-text(date, session-continue) {
  color:white;
}

treechildren::-moz-tree-cell-text(title, separator) {
  color: ThreeDShadow;
  margin: 0px 5px;
}

treechildren::-moz-tree-cell-text(title, separator, selected, focus) {
  color: HighlightText;
}

treechildren::-moz-tree-twisty(title, separator) {
  -moz-appearance: none;
  padding: 0px;
}

/* Title Bar */
#titlebar {
  background-color: -moz-Dialog;
  border-bottom: 2px solid;
  -moz-border-bottom-colors: ThreeDHighlight ThreeDShadow;
  padding: 0;
}

#showingPrefix {
  margin: 5px 0.33em 5px 8px;
}

#contentTitle {
  margin: 5px 8px 5px 0px;
  font-weight: bold;
}

/* Search Bar */
#searchbar {
  margin: 6px -4px 0px 2px;
}

.textbox-input-closebutton {
  -moz-appearance: none;
  margin: -2px 2px -2px 1px;
  min-width: 0;
  background-color: transparent;
  border: none;
  padding: 0 !important;
  list-style-image: url("chrome://global/skin/icons/closetab.png");
  width: 16px;
  height: 16px;
  cursor: default;
}

.textbox-input-closebutton > .button-box {
  margin: 0;
  padding: 0;
  border: none;
}

.textbox-input-closebutton:hover:active {
  list-style-image: url("chrome://global/skin/icons/closetab-active.png");
}

.small {
  font-size: x-small;
  min-width: 0px;
  padding: 0px 4px 0px 4px;
  margin: 0px;  
  border: 0px;
}

.small .button-text,
.small .button-box {
  padding: 0px;
  border: 0px;
}

#searchFilter {
  padding: 0px;
}

#searchFilter[empty="true"] {
  color: GrayText;
}

#searchFilter .textbox-input-box {
  padding: 2px 2px 3px 4px;
}

.filterList {
  -moz-appearance: none;
  background-color: transparent;
  border: 0px;
  margin: 2px;
  padding: 0px;
  min-width: 0px;
  width: 16px;
  height: 16px;
  list-style-image: url("chrome://browser/skin/Search-bar.png");
  -moz-user-focus: ignore;
  cursor: default;
}

.filterList .button-box {
  border: 0px;
  padding: 0px;
}

.filterList .button-menu-dropmarker {
  margin: 9px -3px -4px 8px;
}

/* Calendar */
.history-calendar {
  margin: 0px 0px 7px 6px;
}

.calendar-box {
  -moz-appearance: listbox;
  border:1px solid black;
  background-color:white;
}
.calendar-header {
  background-color:#EEE;
}
.calendar-month-jump {
  cursor:pointer;
  padding-left:6px;
  padding-right:6px;
}
.calendar-month-jump:hover {
  background-color:#DDD;
}
.calendar-grid {
  padding-left:8px;
  padding-right:8px;
  padding-bottom:4px;
}
.calendar-grid label { /* everything in the calendar grid */
  padding:4px;
  margin:0px;
  text-align:center;
  font-size:80%;
}
.calendar-month-title {
  text-align:center;
}
.calendar-day-header {
  border-bottom:1px solid #888;
}
.calendar-day { /* just days (excluding the day headers) */
  cursor:w-resize;
  color:white;
  background-color:white;
}
.calendar-day:hover {
  background-color:#DDD;
}
.calendar-day[selected="true"] {
  cursor:w-resize;
  background-color:#8C8;
}
.calendar-day[selected="true"]:hover {
  background-color:#6A6;
}
.calendar-day[month="this"] {
  color:black;
}
.calendar-day[month="other"] {
  color:#888;
}

.no-margin-button {
  min-width:0em;
}

/**
 * info pane
 */

/* More/Less button */
#infoScrollboxExpander {
  list-style-image: url("chrome://browser/skin/places/twisty-open.gif");
  -moz-appearance: none;
  margin: 0;
  padding: 0;
  max-width: 0;
}

#infoScrollbox[minimal="true"] #infoScrollboxExpander {
  list-style-image: url("chrome://browser/skin/places/twisty-closed.gif");
}

#itemsCountText,
#selectItemDescription {
  color: GrayText;
}

/**** expanders ****/

.expander-up,
.expander-down {
  -moz-appearance: none;
  margin-left: 8px;
  padding: 0;
  min-width: 0;
}

.expander-up {
	list-style-image: url("chrome://browser/skin/places/expander-open.png") !important;
}

.expander-down {
	list-style-image: url("chrome://browser/skin/places/expander-closed.png") !important;
}

.expander-down:hover:active {
	list-style-image: url("chrome://browser/skin/places/expander-closed-active.png") !important;
}

.expander-up:hover:active {
	list-style-image: url("chrome://browser/skin/places/expander-open-active.png") !important;
}
